Subject: Cygwin B20/Win95: ssh/scp: "no controlling tty"
From: Tres Hofmeister <[email-masked]>
To: [email-masked]
Cc: Sergey Okhapkin <[email-masked]>
Date: Tue, 27 Jul 1999 11:57:35 -0600

I recently installed B20 on a Windows95 box.  I've also
installed the ssh 1.2.26 tar archive I found mentioned at
http://www.lexa.ru/sos/, that is:

http://dome.weeg.uiowa.edu/pub/domestic/sos/ports/ssh-1.2.26-cygwinb20.tar.bz2  

	I've been through the mailing list archives and the FAQ, and
can't seem to find an answer to this problem, outside of modifying
the source code.  It seems like there should by a simple configuration
change to get this to work...

	After the following, ssh begins to work:

bash$ mkdir /tmp/usr
bash$ ln -s /usr/local /tmp/usr/local	# Fix goofy tar archive links...
bash$ export CYGWIN=tty

	...but I get the following error:

You have no controlling tty and no DISPLAY.  Cannot read passphrase.

	tty shows my tty as /dev/conin, which ls does not see, but "df
-a" does.  What's up?  Things like less seem to work just fine, which
leads me to believe the terminal itself is O.K.  What am I missing?
BTW, running:

bash$ mount con /dev/tty

	...as suggest in the mailing list archives does nothing;
in fact, it's already mounted.  Many thanks...

-- 
Tres Hofmeister <[email-masked]>  http://www.rap.ucar.edu/staff/tres/
Research Applications Program   National Center for Atmospheric Research

--
Want to unsubscribe from this list?
Send a message to [email-masked]